fbf5a5ddd7bb3189c0a57012096341533d4aacab
[scilab.git] / scilab / modules / functions / Makefile.in
1 # Makefile.in generated by automake 1.16.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2009 - DIGITEO - Allan CORNET
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42 VPATH = @srcdir@
43 am__is_gnu_make = { \
44   if test -z '$(MAKELEVEL)'; then \
45     false; \
46   elif test -n '$(MAKE_HOST)'; then \
47     true; \
48   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
49     true; \
50   else \
51     false; \
52   fi; \
53 }
54 am__make_running_with_option = \
55   case $${target_option-} in \
56       ?) ;; \
57       *) echo "am__make_running_with_option: internal error: invalid" \
58               "target option '$${target_option-}' specified" >&2; \
59          exit 1;; \
60   esac; \
61   has_opt=no; \
62   sane_makeflags=$$MAKEFLAGS; \
63   if $(am__is_gnu_make); then \
64     sane_makeflags=$$MFLAGS; \
65   else \
66     case $$MAKEFLAGS in \
67       *\\[\ \   ]*) \
68         bs=\\; \
69         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
70           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
71     esac; \
72   fi; \
73   skip_next=no; \
74   strip_trailopt () \
75   { \
76     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
77   }; \
78   for flg in $$sane_makeflags; do \
79     test $$skip_next = yes && { skip_next=no; continue; }; \
80     case $$flg in \
81       *=*|--*) continue;; \
82         -*I) strip_trailopt 'I'; skip_next=yes;; \
83       -*I?*) strip_trailopt 'I';; \
84         -*O) strip_trailopt 'O'; skip_next=yes;; \
85       -*O?*) strip_trailopt 'O';; \
86         -*l) strip_trailopt 'l'; skip_next=yes;; \
87       -*l?*) strip_trailopt 'l';; \
88       -[dEDm]) skip_next=yes;; \
89       -[JT]) skip_next=yes;; \
90     esac; \
91     case $$flg in \
92       *$$target_option*) has_opt=yes; break;; \
93     esac; \
94   done; \
95   test $$has_opt = yes
96 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
97 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
98 pkgdatadir = $(datadir)/@PACKAGE@
99 pkgincludedir = $(includedir)/@PACKAGE@
100 pkglibdir = $(libdir)/@PACKAGE@
101 pkglibexecdir = $(libexecdir)/@PACKAGE@
102 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
103 install_sh_DATA = $(install_sh) -c -m 644
104 install_sh_PROGRAM = $(install_sh) -c
105 install_sh_SCRIPT = $(install_sh) -c
106 INSTALL_HEADER = $(INSTALL_DATA)
107 transform = $(program_transform_name)
108 NORMAL_INSTALL = :
109 PRE_INSTALL = :
110 POST_INSTALL = :
111 NORMAL_UNINSTALL = :
112 PRE_UNINSTALL = :
113 POST_UNINSTALL = :
114 build_triplet = @build@
115 host_triplet = @host@
116 @NEED_JAVA_TRUE@am__append_1 = java
117 subdir = modules/functions
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
120         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
121         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
122         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
123         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
124         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
125         $(top_srcdir)/m4/intel_compiler.m4 \
126         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
127         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
128         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
129         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
130         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
131         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
132         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
133         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
134         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
135         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
136         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
137 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
138         $(ACLOCAL_M4)
139 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
140 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
141 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
142 CONFIG_CLEAN_FILES =
143 CONFIG_CLEAN_VPATH_FILES =
144 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
145 am__vpath_adj = case $$p in \
146     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
147     *) f=$$p;; \
148   esac;
149 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
150 am__install_max = 40
151 am__nobase_strip_setup = \
152   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
153 am__nobase_strip = \
154   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
155 am__nobase_list = $(am__nobase_strip_setup); \
156   for p in $$list; do echo "$$p $$p"; done | \
157   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
158   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
159     if (++n[$$2] == $(am__install_max)) \
160       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
161     END { for (dir in files) print dir, files[dir] }'
162 am__base_list = \
163   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
164   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
165 am__uninstall_files_from_dir = { \
166   test -z "$$files" \
167     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
168     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
169          $(am__cd) "$$dir" && rm -f $$files; }; \
170   }
171 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
172         "$(DESTDIR)$(libscifunctions_la_etcdir)" \
173         "$(DESTDIR)$(libscifunctions_la_rootdir)" \
174         "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"
175 LTLIBRARIES = $(pkglib_LTLIBRARIES)
176 libscifunctions_la_LIBADD =
177 am__dirstamp = $(am__leading_dot)dirstamp
178 am__objects_1 = sci_gateway/cpp/libscifunctions_la-sci_exec.lo \
179         sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo \
180         sci_gateway/cpp/libscifunctions_la-sci_whereis.lo \
181         sci_gateway/cpp/libscifunctions_la-sci_execstr.lo \
182         sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo \
183         sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo \
184         sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo \
185         sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo \
186         sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo
187 am_libscifunctions_la_OBJECTS = $(am__objects_1)
188 libscifunctions_la_OBJECTS = $(am_libscifunctions_la_OBJECTS)
189 AM_V_lt = $(am__v_lt_@AM_V@)
190 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
191 am__v_lt_0 = --silent
192 am__v_lt_1 = 
193 AM_V_P = $(am__v_P_@AM_V@)
194 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
195 am__v_P_0 = false
196 am__v_P_1 = :
197 AM_V_GEN = $(am__v_GEN_@AM_V@)
198 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
199 am__v_GEN_0 = @echo "  GEN     " $@;
200 am__v_GEN_1 = 
201 AM_V_at = $(am__v_at_@AM_V@)
202 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
203 am__v_at_0 = @
204 am__v_at_1 = 
205 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
206 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
207 am__maybe_remake_depfiles = depfiles
208 am__depfiles_remade =  \
209         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo \
210         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo \
211         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo \
212         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo \
213         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo \
214         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo \
215         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Plo \
216         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo \
217         sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
218 am__mv = mv -f
219 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
220         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
221 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
222         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
223         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
224         $(AM_CXXFLAGS) $(CXXFLAGS)
225 AM_V_CXX = $(am__v_CXX_@AM_V@)
226 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
227 am__v_CXX_0 = @echo "  CXX     " $@;
228 am__v_CXX_1 = 
229 CXXLD = $(CXX)
230 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
231         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
232         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
233 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
234 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
235 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
236 am__v_CXXLD_1 = 
237 SOURCES = $(libscifunctions_la_SOURCES)
238 DIST_SOURCES = $(libscifunctions_la_SOURCES)
239 am__can_run_installinfo = \
240   case $$AM_UPDATE_INFO_DIR in \
241     n|no|NO) false;; \
242     *) (install-info --version) >/dev/null 2>&1;; \
243   esac
244 DATA = $(libscifunctions_la_etc_DATA) $(libscifunctions_la_root_DATA) \
245         $(libscifunctions_la_sci_gateway_DATA)
246 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
247 # Read a list of newline-separated strings from the standard input,
248 # and print each of them once, without duplicates.  Input order is
249 # *not* preserved.
250 am__uniquify_input = $(AWK) '\
251   BEGIN { nonempty = 0; } \
252   { items[$$0] = 1; nonempty = 1; } \
253   END { if (nonempty) { for (i in items) print i; }; } \
254 '
255 # Make sure the list of sources is unique.  This is necessary because,
256 # e.g., the same source file might be shared among _SOURCES variables
257 # for different programs/libraries.
258 am__define_uniq_tagged_files = \
259   list='$(am__tagged_files)'; \
260   unique=`for i in $$list; do \
261     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
262   done | $(am__uniquify_input)`
263 ETAGS = etags
264 CTAGS = ctags
265 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
266         $(top_srcdir)/config/depcomp \
267         $(top_srcdir)/config/mkinstalldirs
268 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
269 ACLOCAL = @ACLOCAL@
270 ALL_LINGUAS = @ALL_LINGUAS@
271 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
272 AMTAR = @AMTAR@
273 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
274 ANT = @ANT@
275 ANTLR = @ANTLR@
276 AR = @AR@
277 ARPACK_LIBS = @ARPACK_LIBS@
278 ASM3 = @ASM3@
279 AUTOCONF = @AUTOCONF@
280 AUTOHEADER = @AUTOHEADER@
281 AUTOMAKE = @AUTOMAKE@
282 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
283 AWK = @AWK@
284 BATIK = @BATIK@
285 BLAS_CFLAGS = @BLAS_CFLAGS@
286 BLAS_LIBS = @BLAS_LIBS@
287 CC = @CC@
288 CCACHE = @CCACHE@
289 CCDEPMODE = @CCDEPMODE@
290 CFLAGS = @CFLAGS@
291 CHECKSTYLE = @CHECKSTYLE@
292 COBERTURA = @COBERTURA@
293 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
294 COMMONS_IO = @COMMONS_IO@
295 COMMONS_LOGGING = @COMMONS_LOGGING@
296 CPP = @CPP@
297 CPPFLAGS = @CPPFLAGS@
298 CURL_CFLAGS = @CURL_CFLAGS@
299 CURL_CONFIG = @CURL_CONFIG@
300 CURL_LIBS = @CURL_LIBS@
301 CURL_VERSION = @CURL_VERSION@
302 CXX = @CXX@
303 CXXCPP = @CXXCPP@
304 CXXDEPMODE = @CXXDEPMODE@
305 CXXFLAGS = @CXXFLAGS@
306 CYGPATH_W = @CYGPATH_W@
307 DEFS = @DEFS@
308 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
309 DEPDIR = @DEPDIR@
310 DLLTOOL = @DLLTOOL@
311 DOCBOOK_ROOT = @DOCBOOK_ROOT@
312 DOXYGEN_BIN = @DOXYGEN_BIN@
313 DSYMUTIL = @DSYMUTIL@
314 DUMPBIN = @DUMPBIN@
315 ECHO_C = @ECHO_C@
316 ECHO_N = @ECHO_N@
317 ECHO_T = @ECHO_T@
318 ECJ = @ECJ@
319 EGREP = @EGREP@
320 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
321 EXEEXT = @EXEEXT@
322 F77 = @F77@
323 FFLAGS = @FFLAGS@
324 FFTW3_LIB = @FFTW3_LIB@
325 FFTW_ENABLE = @FFTW_ENABLE@
326 FGREP = @FGREP@
327 FLEXDOCK = @FLEXDOCK@
328 FLIBS = @FLIBS@
329 FOP = @FOP@
330 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
331 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
332 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
333 FREEHEP_IO = @FREEHEP_IO@
334 FREEHEP_UTIL = @FREEHEP_UTIL@
335 GENHTML = @GENHTML@
336 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
337 GIWS_BIN = @GIWS_BIN@
338 GLUEGEN2_RT = @GLUEGEN2_RT@
339 GMSGFMT = @GMSGFMT@
340 GMSGFMT_015 = @GMSGFMT_015@
341 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
342 GREP = @GREP@
343 GUI_ENABLE = @GUI_ENABLE@
344 HAMCREST = @HAMCREST@
345 HAVE_CXX11 = @HAVE_CXX11@
346 HDF5_CFLAGS = @HDF5_CFLAGS@
347 HDF5_LIBS = @HDF5_LIBS@
348 HELP_ENABLE = @HELP_ENABLE@
349 INSTALL = @INSTALL@
350 INSTALL_DATA = @INSTALL_DATA@
351 INSTALL_PROGRAM = @INSTALL_PROGRAM@
352 INSTALL_SCRIPT = @INSTALL_SCRIPT@
353 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
354 INTLLIBS = @INTLLIBS@
355 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
356 JAR = @JAR@
357 JAVA = @JAVA@
358 JAVAC = @JAVAC@
359 JAVAC_DEBUG = @JAVAC_DEBUG@
360 JAVADOC = @JAVADOC@
361 JAVAH = @JAVAH@
362 JAVASCI_ENABLE = @JAVASCI_ENABLE@
363 JAVA_ENABLE = @JAVA_ENABLE@
364 JAVA_G = @JAVA_G@
365 JAVA_HOME = @JAVA_HOME@
366 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
367 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
368 JDB = @JDB@
369 JEUCLID_CORE = @JEUCLID_CORE@
370 JGRAPHX = @JGRAPHX@
371 JHALL = @JHALL@
372 JLATEXMATH = @JLATEXMATH@
373 JLATEXMATH_FOP = @JLATEXMATH_FOP@
374 JOGL2 = @JOGL2@
375 JROSETTA_API = @JROSETTA_API@
376 JROSETTA_ENGINE = @JROSETTA_ENGINE@
377 JUNIT4 = @JUNIT4@
378 LAPACK_LIBS = @LAPACK_LIBS@
379 LCOV = @LCOV@
380 LD = @LD@
381 LDFLAGS = @LDFLAGS@
382 LEX = @LEX@
383 LEXLIB = @LEXLIB@
384 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
385 LIBICONV = @LIBICONV@
386 LIBINTL = @LIBINTL@
387 LIBM = @LIBM@
388 LIBOBJS = @LIBOBJS@
389 LIBS = @LIBS@
390 LIBTOOL = @LIBTOOL@
391 LIPO = @LIPO@
392 LN_S = @LN_S@
393 LOGGING_LEVEL = @LOGGING_LEVEL@
394 LOOKS = @LOOKS@
395 LTLIBICONV = @LTLIBICONV@
396 LTLIBINTL = @LTLIBINTL@
397 LTLIBOBJS = @LTLIBOBJS@
398 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
399 LUCENE = @LUCENE@
400 LUCENE_ANALYZER = @LUCENE_ANALYZER@
401 LUCENE_PARSER = @LUCENE_PARSER@
402 MAINT = @MAINT@
403 MAKEINFO = @MAKEINFO@
404 MANIFEST_TOOL = @MANIFEST_TOOL@
405 MATIO_CFLAGS = @MATIO_CFLAGS@
406 MATIO_ENABLE = @MATIO_ENABLE@
407 MATIO_LIBS = @MATIO_LIBS@
408 MKDIR_P = @MKDIR_P@
409 MPI_ENABLE = @MPI_ENABLE@
410 MSGCAT = @MSGCAT@
411 MSGFMT = @MSGFMT@
412 MSGFMT_015 = @MSGFMT_015@
413 MSGMERGE = @MSGMERGE@
414 NM = @NM@
415 NMEDIT = @NMEDIT@
416 OBJDUMP = @OBJDUMP@
417 OBJEXT = @OBJEXT@
418 OCAMLC = @OCAMLC@
419 OCAMLDEP = @OCAMLDEP@
420 OCAMLLEX = @OCAMLLEX@
421 OCAMLOPT = @OCAMLOPT@
422 OCAMLYACC = @OCAMLYACC@
423 OPENMPI_CC = @OPENMPI_CC@
424 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
425 OPENMPI_CXX = @OPENMPI_CXX@
426 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
427 OPENMPI_LIBS = @OPENMPI_LIBS@
428 OPENMP_CFLAGS = @OPENMP_CFLAGS@
429 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
430 OPENMP_ENABLE = @OPENMP_ENABLE@
431 OPENMP_LIBS = @OPENMP_LIBS@
432 OTOOL = @OTOOL@
433 OTOOL64 = @OTOOL64@
434 PACKAGE = @PACKAGE@
435 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
436 PACKAGE_NAME = @PACKAGE_NAME@
437 PACKAGE_STRING = @PACKAGE_STRING@
438 PACKAGE_TARNAME = @PACKAGE_TARNAME@
439 PACKAGE_URL = @PACKAGE_URL@
440 PACKAGE_VERSION = @PACKAGE_VERSION@
441 PATH_SEPARATOR = @PATH_SEPARATOR@
442 PCRE_CFLAGS = @PCRE_CFLAGS@
443 PCRE_CONFIG = @PCRE_CONFIG@
444 PCRE_LIBS = @PCRE_LIBS@
445 PCRE_VERSION = @PCRE_VERSION@
446 PKG_CONFIG = @PKG_CONFIG@
447 POSUB = @POSUB@
448 POW_LIB = @POW_LIB@
449 PYTHON = @PYTHON@
450 RANLIB = @RANLIB@
451 RELOCATABLE = @RELOCATABLE@
452 RT_LIB = @RT_LIB@
453 SAXON = @SAXON@
454 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
455 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
456 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
457 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
458 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
459 SCIRENDERER = @SCIRENDERER@
460 SCIRENDERER_CP = @SCIRENDERER_CP@
461 SCI_CFLAGS = @SCI_CFLAGS@
462 SCI_CXXFLAGS = @SCI_CXXFLAGS@
463 SCI_FFLAGS = @SCI_FFLAGS@
464 SCI_LDFLAGS = @SCI_LDFLAGS@
465 SED = @SED@
466 SET_MAKE = @SET_MAKE@
467 SET_RELOCATABLE = @SET_RELOCATABLE@
468 SHELL = @SHELL@
469 SKINLF = @SKINLF@
470 SPLINT = @SPLINT@
471 STRIP = @STRIP@
472 SWIG_BIN = @SWIG_BIN@
473 SWIG_JAVA = @SWIG_JAVA@
474 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
475 SWIG_SCILAB = @SWIG_SCILAB@
476 TCLTK_LIBS = @TCLTK_LIBS@
477 TCL_INC_PATH = @TCL_INC_PATH@
478 TK_INC_PATH = @TK_INC_PATH@
479 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
480 UMFPACK_ENABLE = @UMFPACK_ENABLE@
481 UMFPACK_LIB = @UMFPACK_LIB@
482 USE_NLS = @USE_NLS@
483 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
484 VALGRIND_LIBS = @VALGRIND_LIBS@
485 VERSION = @VERSION@
486 WITH_OCAML = @WITH_OCAML@
487 WITH_TKSCI = @WITH_TKSCI@
488 XCOS_ENABLE = @XCOS_ENABLE@
489 XGETTEXT = @XGETTEXT@
490 XGETTEXT_015 = @XGETTEXT_015@
491 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
492 XMKMF = @XMKMF@
493 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
494 XML_APIS_EXT = @XML_APIS_EXT@
495 XML_CONFIG = @XML_CONFIG@
496 XML_FLAGS = @XML_FLAGS@
497 XML_LIBS = @XML_LIBS@
498 XML_VERSION = @XML_VERSION@
499 X_CFLAGS = @X_CFLAGS@
500 X_EXTRA_LIBS = @X_EXTRA_LIBS@
501 X_LIBS = @X_LIBS@
502 X_PRE_LIBS = @X_PRE_LIBS@
503 YACC = @YACC@
504 YFLAGS = @YFLAGS@
505 abs_builddir = @abs_builddir@
506 abs_srcdir = @abs_srcdir@
507 abs_top_builddir = @abs_top_builddir@
508 abs_top_srcdir = @abs_top_srcdir@
509 ac_ct_AR = @ac_ct_AR@
510 ac_ct_CC = @ac_ct_CC@
511 ac_ct_CXX = @ac_ct_CXX@
512 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
513 ac_ct_F77 = @ac_ct_F77@
514 am__include = @am__include@
515 am__leading_dot = @am__leading_dot@
516 am__quote = @am__quote@
517 am__tar = @am__tar@
518 am__untar = @am__untar@
519 bindir = @bindir@
520 build = @build@
521 build_alias = @build_alias@
522 build_cpu = @build_cpu@
523 build_os = @build_os@
524 build_vendor = @build_vendor@
525 builddir = @builddir@
526 cxx_present = @cxx_present@
527 datadir = @datadir@
528 datarootdir = @datarootdir@
529 docdir = @docdir@
530 dvidir = @dvidir@
531 exec_prefix = @exec_prefix@
532 host = @host@
533 host_alias = @host_alias@
534 host_cpu = @host_cpu@
535 host_os = @host_os@
536 host_vendor = @host_vendor@
537 htmldir = @htmldir@
538 includedir = @includedir@
539 infodir = @infodir@
540 install_sh = @install_sh@
541 libdir = @libdir@
542 libexecdir = @libexecdir@
543 localedir = @localedir@
544 localstatedir = @localstatedir@
545 mandir = @mandir@
546 mkdir_p = @mkdir_p@
547 oldincludedir = @oldincludedir@
548 pdfdir = @pdfdir@
549 prefix = @prefix@
550 program_transform_name = @program_transform_name@
551 psdir = @psdir@
552 sbindir = @sbindir@
553 sharedstatedir = @sharedstatedir@
554 srcdir = @srcdir@
555 sysconfdir = @sysconfdir@
556 target_alias = @target_alias@
557 top_build_prefix = @top_build_prefix@
558 top_builddir = @top_builddir@
559 top_srcdir = @top_srcdir@
560 yacc_present = @yacc_present@
561 GATEWAY_CPP_SOURCES = \
562     sci_gateway/cpp/sci_exec.cpp \
563     sci_gateway/cpp/sci_functionlist.cpp \
564     sci_gateway/cpp/sci_whereis.cpp \
565     sci_gateway/cpp/sci_execstr.cpp \
566     sci_gateway/cpp/sci_macrovar.cpp \
567     sci_gateway/cpp/sci_libraryinfo.cpp \
568     sci_gateway/cpp/sci_librarieslist.cpp \
569     sci_gateway/cpp/sci_testGVN.cpp \
570     sci_gateway/cpp/sci_testAnalysis.cpp
571
572 libscifunctions_la_CPPFLAGS = \
573     -I$(srcdir)/includes/ \
574     -I$(srcdir)/src/c/ \
575     -I$(top_srcdir)/modules/ast/includes/ast/ \
576     -I$(top_srcdir)/modules/ast/includes/exps/ \
577     -I$(top_srcdir)/modules/ast/includes/operations/ \
578     -I$(top_srcdir)/modules/ast/includes/parse/ \
579     -I$(top_srcdir)/modules/ast/includes/symbol/ \
580     -I$(top_srcdir)/modules/ast/includes/system_env/ \
581     -I$(top_srcdir)/modules/ast/includes/types/ \
582     -I$(top_srcdir)/modules/ast/includes/analysis/ \
583     -I$(top_srcdir)/modules/functions_manager/includes/ \
584     -I$(top_srcdir)/modules/api_scilab/includes/ \
585     -I$(top_srcdir)/modules/localization/includes/ \
586     -I$(top_srcdir)/modules/string/includes/ \
587     -I$(top_srcdir)/modules/fileio/includes \
588     -I$(top_srcdir)/modules/console/includes \
589     -I$(top_srcdir)/modules/output_stream/includes \
590     -I$(top_srcdir)/modules/threads/includes/ \
591     -I$(top_srcdir)/modules/elementary_functions/includes/ \
592     -I$(top_srcdir)/modules/dynamic_link/includes/ \
593     $(AM_CPPFLAGS)
594
595 pkglib_LTLIBRARIES = libscifunctions.la
596 libscifunctions_la_SOURCES = $(GATEWAY_CPP_SOURCES)
597
598 # For the code check (splint)
599 CHECK_SRC = $(FUNCTIONS_SOURCES) $(GATEWAY_SOURCES)
600 INCLUDE_FLAGS = $(libscifunctions_la_CPPFLAGS)
601
602 #### Target ######
603 modulename = functions
604
605 #### functions : Conf files ####
606 libscifunctions_la_rootdir = $(mydatadir)
607 libscifunctions_la_root_DATA = license.txt
608
609 #### functions : init scripts ####
610 libscifunctions_la_etcdir = $(mydatadir)/etc
611 libscifunctions_la_etc_DATA = \
612     etc/functions.quit \
613     etc/functions.start
614
615
616 #### functions : gateway declaration ####
617 libscifunctions_la_sci_gatewaydir = $(mydatadir)/sci_gateway
618 libscifunctions_la_sci_gateway_DATA = sci_gateway/functions_gateway.xml
619
620 # Where all the Scilab stuff is installed (macros, help, ...)
621 mydatadir = $(pkgdatadir)/modules/$(modulename)
622
623 # Set AM_* SCI detected settings
624 AM_CPPFLAGS = $(SCI_CPPFLAGS)
625 AM_CFLAGS = $(SCI_CFLAGS)
626 AM_CXXFLAGS = $(SCI_CXXFLAGS)
627 # append includes to AM_FFLAGS to manage fortran includes
628 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
629
630 # Tag shared libraries with the Scilab version
631 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
632
633 # splint options
634 SPLINT_OPTIONS = -weak -booltype BOOL
635
636 ########################### JAVA ######################################
637 #### We are delegating java compilation to ant... Thanks to that
638 #### the procedure will be the same with Microsoft Windows (C)
639 #### and Linux/Unix
640 #######################################################################
641 TARGETS_ALL = $(am__append_1)
642
643 ################ MACROS ######################
644 # Rule to build a macro
645 # NOT USED  AT THE MOMENT
646 SUFFIXES = .sci 
647
648 ########### INSTALL DOCUMENTATION ###################
649
650 # Install documentation files into the right target
651 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
652 # automake needs the html files to be present which is not the case when
653 # we are building Scilab
654
655 # Where it should be installed
656 pkgdocdir = $(mydatadir)
657
658 # What is the mask of the help source
659 DOCMASKXML = *.xml
660
661 # What is the mask of the MathML sources
662 DOCMASKMML = *.mml
663
664 ########### INSTALL DATA ###################
665 # Install macros, help & demos
666 # Where it should be installed
667 pkgmacrosdir = $(mydatadir)
668 # Which directory we process
669 MACRODIRS = macros/
670 # Mask of the Scilab sources macros
671 MACROMASK = *.sci
672 # Mask of the Scilab executable sources macros
673 MACROBUILDMASK = *.sce
674 # Mask of the Scilab compiled macros
675 MACROBINMASK = *.bin
676 # List of the standard directory for tests
677 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
678 # Where the demos should be installed
679 pkgdemosdir = $(mydatadir)
680 # List of the standard directory for demos
681 DEMOS_DIR = demos
682 # List of the standard directory for examples
683 EXAMPLES_DIR = examples
684 # Where to export JAVA archives (.jar)
685 JARDIR = jar/
686 # JAR files mask
687 JARMASK = *.jar
688 # Chapter file 
689 HELP_CHAPTERDIR = help/
690 HELP_CHAPTERFILE = addchapter.sce
691 HELP_CHAPTERLANG = en_US fr_FR pt_BR
692 all: all-am
693
694 .SUFFIXES:
695 .SUFFIXES: .sci .bin .cpp .lo .o .obj
696 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
697         @for dep in $?; do \
698           case '$(am__configure_deps)' in \
699             *$$dep*) \
700               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
701                 && { if test -f $@; then exit 0; else break; fi; }; \
702               exit 1;; \
703           esac; \
704         done; \
705         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/functions/Makefile'; \
706         $(am__cd) $(top_srcdir) && \
707           $(AUTOMAKE) --foreign modules/functions/Makefile
708 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
709         @case '$?' in \
710           *config.status*) \
711             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
712           *) \
713             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
714             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
715         esac;
716 $(top_srcdir)/Makefile.incl.am $(am__empty):
717
718 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
719         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
720
721 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
722         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
723 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
724         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
725 $(am__aclocal_m4_deps):
726
727 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
728         @$(NORMAL_INSTALL)
729         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
730         list2=; for p in $$list; do \
731           if test -f $$p; then \
732             list2="$$list2 $$p"; \
733           else :; fi; \
734         done; \
735         test -z "$$list2" || { \
736           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
737           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
738           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
739           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
740         }
741
742 uninstall-pkglibLTLIBRARIES:
743         @$(NORMAL_UNINSTALL)
744         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
745         for p in $$list; do \
746           $(am__strip_dir) \
747           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
748           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
749         done
750
751 clean-pkglibLTLIBRARIES:
752         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
753         @list='$(pkglib_LTLIBRARIES)'; \
754         locs=`for p in $$list; do echo $$p; done | \
755               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
756               sort -u`; \
757         test -z "$$locs" || { \
758           echo rm -f $${locs}; \
759           rm -f $${locs}; \
760         }
761 sci_gateway/cpp/$(am__dirstamp):
762         @$(MKDIR_P) sci_gateway/cpp
763         @: > sci_gateway/cpp/$(am__dirstamp)
764 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
765         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
766         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
767 sci_gateway/cpp/libscifunctions_la-sci_exec.lo:  \
768         sci_gateway/cpp/$(am__dirstamp) \
769         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
770 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo:  \
771         sci_gateway/cpp/$(am__dirstamp) \
772         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
773 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo:  \
774         sci_gateway/cpp/$(am__dirstamp) \
775         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
776 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo:  \
777         sci_gateway/cpp/$(am__dirstamp) \
778         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
779 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo:  \
780         sci_gateway/cpp/$(am__dirstamp) \
781         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
782 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo:  \
783         sci_gateway/cpp/$(am__dirstamp) \
784         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
785 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo:  \
786         sci_gateway/cpp/$(am__dirstamp) \
787         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
788 sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo:  \
789         sci_gateway/cpp/$(am__dirstamp) \
790         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
791 sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo:  \
792         sci_gateway/cpp/$(am__dirstamp) \
793         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
794
795 libscifunctions.la: $(libscifunctions_la_OBJECTS) $(libscifunctions_la_DEPENDENCIES) $(EXTRA_libscifunctions_la_DEPENDENCIES) 
796         $(AM_V_CXXLD)$(CXXLINK) -rpath $(pkglibdir) $(libscifunctions_la_OBJECTS) $(libscifunctions_la_LIBADD) $(LIBS)
797
798 mostlyclean-compile:
799         -rm -f *.$(OBJEXT)
800         -rm -f sci_gateway/cpp/*.$(OBJEXT)
801         -rm -f sci_gateway/cpp/*.lo
802
803 distclean-compile:
804         -rm -f *.tab.c
805
806 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo@am__quote@ # am--include-marker
807 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo@am__quote@ # am--include-marker
808 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo@am__quote@ # am--include-marker
809 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo@am__quote@ # am--include-marker
810 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo@am__quote@ # am--include-marker
811 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo@am__quote@ # am--include-marker
812 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Plo@am__quote@ # am--include-marker
813 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo@am__quote@ # am--include-marker
814 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo@am__quote@ # am--include-marker
815
816 $(am__depfiles_remade):
817         @$(MKDIR_P) $(@D)
818         @echo '# dummy' >$@-t && $(am__mv) $@-t $@
819
820 am--depfiles: $(am__depfiles_remade)
821
822 .cpp.o:
823 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
824 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
825 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
826 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
827 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
828 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
829
830 .cpp.obj:
831 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
832 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
833 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
834 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
835 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
836 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
837
838 .cpp.lo:
839 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
840 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
841 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
842 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
843 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
844 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
845
846 sci_gateway/cpp/libscifunctions_la-sci_exec.lo: sci_gateway/cpp/sci_exec.cpp
847 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_exec.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
848 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo
849 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_exec.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_exec.lo' libtool=yes @AMDEPBACKSLASH@
850 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
851 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_exec.lo `test -f 'sci_gateway/cpp/sci_exec.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_exec.cpp
852
853 sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo: sci_gateway/cpp/sci_functionlist.cpp
854 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
855 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo
856 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_functionlist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo' libtool=yes @AMDEPBACKSLASH@
857 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
858 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_functionlist.lo `test -f 'sci_gateway/cpp/sci_functionlist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_functionlist.cpp
859
860 sci_gateway/cpp/libscifunctions_la-sci_whereis.lo: sci_gateway/cpp/sci_whereis.cpp
861 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_whereis.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
862 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
863 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_whereis.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_whereis.lo' libtool=yes @AMDEPBACKSLASH@
864 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
865 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_whereis.lo `test -f 'sci_gateway/cpp/sci_whereis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_whereis.cpp
866
867 sci_gateway/cpp/libscifunctions_la-sci_execstr.lo: sci_gateway/cpp/sci_execstr.cpp
868 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_execstr.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
869 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo
870 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_execstr.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_execstr.lo' libtool=yes @AMDEPBACKSLASH@
871 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
872 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_execstr.lo `test -f 'sci_gateway/cpp/sci_execstr.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_execstr.cpp
873
874 sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo: sci_gateway/cpp/sci_macrovar.cpp
875 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
876 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo
877 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_macrovar.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo' libtool=yes @AMDEPBACKSLASH@
878 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
879 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_macrovar.lo `test -f 'sci_gateway/cpp/sci_macrovar.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_macrovar.cpp
880
881 sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo: sci_gateway/cpp/sci_libraryinfo.cpp
882 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
883 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
884 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_libraryinfo.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo' libtool=yes @AMDEPBACKSLASH@
885 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
886 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_libraryinfo.lo `test -f 'sci_gateway/cpp/sci_libraryinfo.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_libraryinfo.cpp
887
888 sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo: sci_gateway/cpp/sci_librarieslist.cpp
889 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
890 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
891 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_librarieslist.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo' libtool=yes @AMDEPBACKSLASH@
892 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
893 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_librarieslist.lo `test -f 'sci_gateway/cpp/sci_librarieslist.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_librarieslist.cpp
894
895 sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo: sci_gateway/cpp/sci_testGVN.cpp
896 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo `test -f 'sci_gateway/cpp/sci_testGVN.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testGVN.cpp
897 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo
898 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_testGVN.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo' libtool=yes @AMDEPBACKSLASH@
899 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
900 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_testGVN.lo `test -f 'sci_gateway/cpp/sci_testGVN.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testGVN.cpp
901
902 sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo: sci_gateway/cpp/sci_testAnalysis.cpp
903 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Tpo -c -o sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo `test -f 'sci_gateway/cpp/sci_testAnalysis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testAnalysis.cpp
904 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Tpo sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Plo
905 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_testAnalysis.cpp' object='sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo' libtool=yes @AMDEPBACKSLASH@
906 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
907 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libscifunctions_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libscifunctions_la-sci_testAnalysis.lo `test -f 'sci_gateway/cpp/sci_testAnalysis.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_testAnalysis.cpp
908
909 mostlyclean-libtool:
910         -rm -f *.lo
911
912 clean-libtool:
913         -rm -rf .libs _libs
914         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
915 install-libscifunctions_la_etcDATA: $(libscifunctions_la_etc_DATA)
916         @$(NORMAL_INSTALL)
917         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
918         if test -n "$$list"; then \
919           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
920           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit 1; \
921         fi; \
922         for p in $$list; do \
923           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
924           echo "$$d$$p"; \
925         done | $(am__base_list) | \
926         while read files; do \
927           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_etcdir)'"; \
928           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_etcdir)" || exit $$?; \
929         done
930
931 uninstall-libscifunctions_la_etcDATA:
932         @$(NORMAL_UNINSTALL)
933         @list='$(libscifunctions_la_etc_DATA)'; test -n "$(libscifunctions_la_etcdir)" || list=; \
934         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
935         dir='$(DESTDIR)$(libscifunctions_la_etcdir)'; $(am__uninstall_files_from_dir)
936 install-libscifunctions_la_rootDATA: $(libscifunctions_la_root_DATA)
937         @$(NORMAL_INSTALL)
938         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
939         if test -n "$$list"; then \
940           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
941           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit 1; \
942         fi; \
943         for p in $$list; do \
944           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
945           echo "$$d$$p"; \
946         done | $(am__base_list) | \
947         while read files; do \
948           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_rootdir)'"; \
949           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_rootdir)" || exit $$?; \
950         done
951
952 uninstall-libscifunctions_la_rootDATA:
953         @$(NORMAL_UNINSTALL)
954         @list='$(libscifunctions_la_root_DATA)'; test -n "$(libscifunctions_la_rootdir)" || list=; \
955         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
956         dir='$(DESTDIR)$(libscifunctions_la_rootdir)'; $(am__uninstall_files_from_dir)
957 install-libscifunctions_la_sci_gatewayDATA: $(libscifunctions_la_sci_gateway_DATA)
958         @$(NORMAL_INSTALL)
959         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
960         if test -n "$$list"; then \
961           echo " $(MKDIR_P) '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
962           $(MKDIR_P) "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit 1; \
963         fi; \
964         for p in $$list; do \
965           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
966           echo "$$d$$p"; \
967         done | $(am__base_list) | \
968         while read files; do \
969           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'"; \
970           $(INSTALL_DATA) $$files "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)" || exit $$?; \
971         done
972
973 uninstall-libscifunctions_la_sci_gatewayDATA:
974         @$(NORMAL_UNINSTALL)
975         @list='$(libscifunctions_la_sci_gateway_DATA)'; test -n "$(libscifunctions_la_sci_gatewaydir)" || list=; \
976         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
977         dir='$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
978
979 ID: $(am__tagged_files)
980         $(am__define_uniq_tagged_files); mkid -fID $$unique
981 tags: tags-am
982 TAGS: tags
983
984 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
985         set x; \
986         here=`pwd`; \
987         $(am__define_uniq_tagged_files); \
988         shift; \
989         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
990           test -n "$$unique" || unique=$$empty_fix; \
991           if test $$# -gt 0; then \
992             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
993               "$$@" $$unique; \
994           else \
995             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
996               $$unique; \
997           fi; \
998         fi
999 ctags: ctags-am
1000
1001 CTAGS: ctags
1002 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1003         $(am__define_uniq_tagged_files); \
1004         test -z "$(CTAGS_ARGS)$$unique" \
1005           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1006              $$unique
1007
1008 GTAGS:
1009         here=`$(am__cd) $(top_builddir) && pwd` \
1010           && $(am__cd) $(top_srcdir) \
1011           && gtags -i $(GTAGS_ARGS) "$$here"
1012 cscopelist: cscopelist-am
1013
1014 cscopelist-am: $(am__tagged_files)
1015         list='$(am__tagged_files)'; \
1016         case "$(srcdir)" in \
1017           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1018           *) sdir=$(subdir)/$(srcdir) ;; \
1019         esac; \
1020         for i in $$list; do \
1021           if test -f "$$i"; then \
1022             echo "$(subdir)/$$i"; \
1023           else \
1024             echo "$$sdir/$$i"; \
1025           fi; \
1026         done >> $(top_builddir)/cscope.files
1027
1028 distclean-tags:
1029         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1030
1031 distdir: $(BUILT_SOURCES)
1032         $(MAKE) $(AM_MAKEFLAGS) distdir-am
1033
1034 distdir-am: $(DISTFILES)
1035         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1036         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1037         list='$(DISTFILES)'; \
1038           dist_files=`for file in $$list; do echo $$file; done | \
1039           sed -e "s|^$$srcdirstrip/||;t" \
1040               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1041         case $$dist_files in \
1042           */*) $(MKDIR_P) `echo "$$dist_files" | \
1043                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1044                            sort -u` ;; \
1045         esac; \
1046         for file in $$dist_files; do \
1047           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1048           if test -d $$d/$$file; then \
1049             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1050             if test -d "$(distdir)/$$file"; then \
1051               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1052             fi; \
1053             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1054               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1055               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1056             fi; \
1057             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1058           else \
1059             test -f "$(distdir)/$$file" \
1060             || cp -p $$d/$$file "$(distdir)/$$file" \
1061             || exit 1; \
1062           fi; \
1063         done
1064 check-am: all-am
1065         $(MAKE) $(AM_MAKEFLAGS) check-local
1066 check: check-am
1067 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1068 installdirs:
1069         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libscifunctions_la_etcdir)" "$(DESTDIR)$(libscifunctions_la_rootdir)" "$(DESTDIR)$(libscifunctions_la_sci_gatewaydir)"; do \
1070           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1071         done
1072 install: install-am
1073 install-exec: install-exec-am
1074 install-data: install-data-am
1075 uninstall: uninstall-am
1076
1077 install-am: all-am
1078         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1079
1080 installcheck: installcheck-am
1081 install-strip:
1082         if test -z '$(STRIP)'; then \
1083           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1084             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1085               install; \
1086         else \
1087           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1088             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1089             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1090         fi
1091 mostlyclean-generic:
1092
1093 clean-generic:
1094
1095 distclean-generic:
1096         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1097         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1098         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1099         -rm -f sci_gateway/cpp/$(am__dirstamp)
1100
1101 maintainer-clean-generic:
1102         @echo "This command is intended for maintainers to use"
1103         @echo "it deletes files that may require special tools to rebuild."
1104 clean: clean-am
1105
1106 clean-am: clean-generic clean-libtool clean-local \
1107         clean-pkglibLTLIBRARIES mostlyclean-am
1108
1109 distclean: distclean-am
1110                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo
1111         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo
1112         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo
1113         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
1114         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
1115         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo
1116         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Plo
1117         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo
1118         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
1119         -rm -f Makefile
1120 distclean-am: clean-am distclean-compile distclean-generic \
1121         distclean-local distclean-tags
1122
1123 dvi: dvi-am
1124
1125 dvi-am:
1126
1127 html: html-am
1128
1129 html-am:
1130
1131 info: info-am
1132
1133 info-am:
1134
1135 install-data-am: install-data-local install-libscifunctions_la_etcDATA \
1136         install-libscifunctions_la_rootDATA \
1137         install-libscifunctions_la_sci_gatewayDATA
1138
1139 install-dvi: install-dvi-am
1140
1141 install-dvi-am:
1142
1143 install-exec-am: install-pkglibLTLIBRARIES
1144
1145 install-html: install-html-am
1146
1147 install-html-am: install-html-local
1148
1149 install-info: install-info-am
1150
1151 install-info-am:
1152
1153 install-man:
1154
1155 install-pdf: install-pdf-am
1156
1157 install-pdf-am:
1158
1159 install-ps: install-ps-am
1160
1161 install-ps-am:
1162
1163 installcheck-am:
1164
1165 maintainer-clean: maintainer-clean-am
1166                 -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_exec.Plo
1167         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_execstr.Plo
1168         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_functionlist.Plo
1169         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_librarieslist.Plo
1170         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_libraryinfo.Plo
1171         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_macrovar.Plo
1172         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testAnalysis.Plo
1173         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_testGVN.Plo
1174         -rm -f sci_gateway/cpp/$(DEPDIR)/libscifunctions_la-sci_whereis.Plo
1175         -rm -f Makefile
1176 maintainer-clean-am: distclean-am maintainer-clean-generic
1177
1178 mostlyclean: mostlyclean-am
1179
1180 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1181         mostlyclean-libtool
1182
1183 pdf: pdf-am
1184
1185 pdf-am:
1186
1187 ps: ps-am
1188
1189 ps-am:
1190
1191 uninstall-am: uninstall-libscifunctions_la_etcDATA \
1192         uninstall-libscifunctions_la_rootDATA \
1193         uninstall-libscifunctions_la_sci_gatewayDATA \
1194         uninstall-pkglibLTLIBRARIES
1195
1196 .MAKE: check-am install-am install-strip
1197
1198 .PHONY: CTAGS GTAGS TAGS all all-am all-local am--depfiles check \
1199         check-am check-local clean clean-generic clean-libtool \
1200         clean-local clean-pkglibLTLIBRARIES cscopelist-am ctags \
1201         ctags-am distclean distclean-compile distclean-generic \
1202         distclean-libtool distclean-local distclean-tags distdir dvi \
1203         dvi-am html html-am info info-am install install-am \
1204         install-data install-data-am install-data-local install-dvi \
1205         install-dvi-am install-exec install-exec-am install-html \
1206         install-html-am install-html-local install-info \
1207         install-info-am install-libscifunctions_la_etcDATA \
1208         install-libscifunctions_la_rootDATA \
1209         install-libscifunctions_la_sci_gatewayDATA install-man \
1210         install-pdf install-pdf-am install-pkglibLTLIBRARIES \
1211         install-ps install-ps-am install-strip installcheck \
1212         installcheck-am installdirs maintainer-clean \
1213         maintainer-clean-generic mostlyclean mostlyclean-compile \
1214         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1215         tags tags-am uninstall uninstall-am \
1216         uninstall-libscifunctions_la_etcDATA \
1217         uninstall-libscifunctions_la_rootDATA \
1218         uninstall-libscifunctions_la_sci_gatewayDATA \
1219         uninstall-pkglibLTLIBRARIES
1220
1221 .PRECIOUS: Makefile
1222
1223
1224 # This target enables tests for Scilab
1225 check-local: $(top_builddir)/scilab-bin test
1226         if test -d $(mydatadir)/tests; then \
1227           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1228         fi
1229 check-code:
1230         if test -f build.xml; then \
1231                 $(ANT) checkstyle; \
1232         fi
1233         if test -x "$(SPLINT)"; then \
1234                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1235         fi
1236 @NEED_JAVA_TRUE@java:
1237 # Some configurations needs to export JAVA_HOME in the current env
1238 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1239 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1240 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1241 @NEED_JAVA_TRUE@                $(ANT); \
1242 @NEED_JAVA_TRUE@        fi
1243
1244 @NEED_JAVA_TRUE@clean-java:
1245 # Some configurations needs to export JAVA_HOME in the current env
1246 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1247 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1248 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1249 @NEED_JAVA_TRUE@                $(ANT) clean; \
1250 @NEED_JAVA_TRUE@        fi;
1251
1252 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1253 # We call the target swig-build on the variable SWIG_WRAPPERS
1254
1255 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1256 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1257 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1258 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1259 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1260 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1261 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_JAVA) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1262 @SWIG_TRUE@             done; \
1263 @SWIG_TRUE@     fi
1264
1265 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1266 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1267 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1268 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1269 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1270 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_OPTIONS) $(SWIG_SCILAB)  -outdir $$SWIG_OUTDIR $$file; \
1271 @SWIG_TRUE@             done; \
1272 @SWIG_TRUE@     fi
1273
1274 # If the user request for the SWIG generation of the wrappers Java => C/C++ 
1275 # We call the target swig-build on the variable SWIG_WRAPPERS
1276
1277 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1278 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1279 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1280 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1281 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1282 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1283 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1284 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1285 @GIWS_TRUE@                     else \
1286 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1287 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1288 @GIWS_TRUE@                     fi \
1289 @GIWS_TRUE@             done; \
1290 @GIWS_TRUE@     fi
1291
1292 @GIWS_TRUE@giws-exception:
1293 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1294 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1295 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR 
1296
1297 macros:
1298         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1299                 echo "Error : Cannot build $< : Scilab has not been built"; \
1300         else \
1301                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1302         fi)
1303
1304 # Removes the macros
1305 clean-macros:
1306 # Removes macros (*.bin generated from .sci)
1307         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1308                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1309                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1310         done
1311
1312 test:
1313 # More tests could be added here
1314         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1315         if test -f build.xml -a $$USEANT -eq 1; then \
1316                 $(ANT) test; \
1317         fi
1318
1319 all-local: $(TARGETS_ALL)
1320
1321 .sci.bin:
1322         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1323         echo "Error : Cannot build $< : Scilab has not been build"; \
1324         else \
1325         echo "Creating $@"; \
1326         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1327         fi )
1328
1329 install-html-local:
1330
1331 install-data-local-local:
1332 # Mainly for javasci
1333         @if test -d $(srcdir)/javadoc; then \
1334                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1335         fi
1336 # If the user wants the help sources to be installed
1337 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1338 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1339 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1340 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1341 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1342 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1343 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1344 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1345 @INSTALL_HELP_XML_TRUE@           done ; \
1346 @INSTALL_HELP_XML_TRUE@         fi; \
1347 @INSTALL_HELP_XML_TRUE@  fi; \
1348 @INSTALL_HELP_XML_TRUE@ done; \
1349 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1350 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1351 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1352 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1353 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1354 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1355 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1356 @INSTALL_HELP_XML_TRUE@           done ; \
1357 @INSTALL_HELP_XML_TRUE@         fi; \
1358 @INSTALL_HELP_XML_TRUE@ fi
1359 install-data-local:
1360 # Install the tests
1361         @echo "-------- Install tests (if any) --------"; \
1362         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1363           if test -d $(srcdir)/$$dir/; then \
1364             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1365                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1366                     if test -d "$(srcdir)/$$dir/$$file"; then \
1367                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1368                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1369                     else \
1370                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1371                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1372                     fi \
1373                   done; \
1374           fi; \
1375         done
1376 # Install the help chapter
1377         @echo "-------- Install the help chapter (if any) --------"; \
1378         for lang in $(HELP_CHAPTERLANG); do \
1379                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1380                 if test -f $$HELPFILE; then \
1381                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1382                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1383                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1384                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1385                 fi; \
1386         done
1387 # Install the demos & examples
1388         @echo "-------- Install demos & examples (if any) --------"; \
1389         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1390           if test -d $(srcdir)/$$dir/; then \
1391             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1392                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1393                     if test -d "$(srcdir)/$$dir/$$file"; then \
1394                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1395                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1396                     else \
1397                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1398                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1399                     fi \
1400                   done; \
1401           fi; \
1402         done
1403 # Install the macros
1404         @echo "-------- Install macros (if any) --------"; \
1405         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1406           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1407                 if test -d $(srcdir)/$$dir/; then \
1408                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1409                         if test -n "$(MACROSSPECIALEXT)"; then \
1410                                 specialExtDir=""; \
1411                                 for specialExt in $(MACROSSPECIALEXT); do \
1412                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1413                                 done; \
1414                                 FILELIST="$$FILELIST $$specialExtDir"; \
1415                         fi; \
1416                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1417                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1418                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1419                   done; \
1420                 fi; \
1421         done
1422 # Install java files (.jar)
1423         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1424         echo "-------- Install jar files --------"; \
1425     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1426           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1427                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1428                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1429           done ; \
1430         fi
1431
1432 ########### CLEAN ###################
1433 # Clean help (generated automatically by Scilab)
1434 # It used to clean the macro (clean-macros) but this was causing
1435 # make clean && make to fail Scilab startup
1436 @NEED_JAVA_TRUE@clean-local: clean-java
1437 @NEED_JAVA_FALSE@clean-local:
1438
1439 distclean-local:
1440         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1441
1442 .PHONY: macros java swig giws
1443
1444 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1445 # Otherwise a system limit (for SysV at least) may be exceeded.
1446 .NOEXPORT: